
%if 0%{?build_from_snapshot}
%global snap 20140403
%global git_commit 0191a6ddf0c094d9ae61b9ee48f1b282e13a9ef2
%global git_hash   0191a6dd
%endif

%global farstream 1

%global enable_tests 1

Name:    telepathy-qt
Version: 0.9.8
Release:    2%{?dist}
Summary: High-level bindings for Telepathy

License: LGPLv2+
URL:     http://telepathy.freedesktop.org/doc/telepathy-qt/
%if 0%{?snap:1}
Source0: telepathy-qt-%{version}-%{git_hash}.tar.gz
%else
Source0: http://telepathy.freedesktop.org/releases/telepathy-qt/telepathy-qt-%{version}.tar.gz
%endif


Patch0:  telepathy-qt-188dece-fix-build-with-newer-glib.patch

BuildRequires: cmake
BuildRequires: python3-dbus, python3-devel
BuildRequires: doxygen
BuildRequires: dbus-daemon
%if 0%{?farstream}
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(farstream-0.2)
BuildRequires: pkgconfig(telepathy-farstream) >= 0.6
BuildRequires: pkgconfig(telepathy-glib) >= 0.18
%endif

%if 0%{?enable_tests}
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(telepathy-glib) >= 0.18
%endif

Requires: telepathy-mission-control

%description
Telepathy-qt are high level bindings for Telepathy and provides both
the low level 1:1 auto generated API, and a high-level API build
on top of that, in the same library.

%package -n telepathy-qt5
Summary: High-level Qt5 bindings for Telepathy
BuildRequires: pkgconfig(Qt5DBus) pkgconfig(Qt5Network) pkgconfig(Qt5Xml)
Requires: telepathy-mission-control
%description -n telepathy-qt5
Telepathy-qt5 are high level bindings for Telepathy and provides both
the low level 1:1 auto generated API, and a high-level API build
on top of that, in the same library.

%package -n telepathy-qt5-devel
Summary: Development files for telepathy-qt5
Requires: telepathy-qt5 = %{version}-%{release}
Requires: telepathy-filesystem
%if 0%{?farstream}
Requires: telepathy-qt5-farstream = %{version}-%{release}
%endif
%description -n telepathy-qt5-devel
%{summary}.

%if 0%{?farstream}
%package -n telepathy-qt5-farstream
Summary: Farstream telepathy-qt5 bindings
Requires: telepathy-qt5 = %{version}-%{release}
%description -n telepathy-qt5-farstream
%{summary}.
%endif


%prep
%autosetup -n telepathy-qt-%{version} -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=release \
  -DDESIRED_QT_VERSION=5 \
  -DDISABLE_WERROR:BOOL=ON \
  -DENABLE_TESTS:BOOL=%{?enable_tests:ON}%{!?enable_tests:OFF} \
  %{?farstream:-DENABLE_FARSTREAM:BOOL=ON} \
  %{!?farstream:-DENABLE_FARSTREAM:BOOL=OFF}

%cmake_build


%install
%cmake_install


%check
%if 0%{?enable_tests}
export CTEST_OUTPUT_ON_FAILURE=1
%ctest ||:
%endif


%post -p /sbin/ldconfig -n telepathy-qt5
%postun -p /sbin/ldconfig -n telepathy-qt5

%files -n telepathy-qt5
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_libdir}/libtelepathy-qt5.so.0
%{_libdir}/libtelepathy-qt5.so.0.%{version}
%{_libdir}/libtelepathy-qt5-service.so.1
%{_libdir}/libtelepathy-qt5-service.so.0.%{version}

%if 0%{?farstream}
%post -p /sbin/ldconfig -n telepathy-qt5-farstream
%postun -p /sbin/ldconfig -n telepathy-qt5-farstream

%files -n telepathy-qt5-farstream
%{_libdir}/libtelepathy-qt5-farstream.so.0
%{_libdir}/libtelepathy-qt5-farstream.so.0.%{version}
%endif

%files -n telepathy-qt5-devel
%doc HACKING
%dir %{_includedir}/telepathy-qt5/
%{_includedir}/telepathy-qt5/TelepathyQt/
%{_libdir}/libtelepathy-qt5.so
%{_libdir}/pkgconfig/TelepathyQt5.pc
%{_libdir}/pkgconfig/TelepathyQt5Service.pc
%dir %{_libdir}/cmake
%{_libdir}/cmake/TelepathyQt5/
%{_libdir}/cmake/TelepathyQt5Service/
%{_libdir}/libtelepathy-qt5-service.so
%if 0%{?farstream}
%{_libdir}/libtelepathy-qt5-farstream.so
%{_libdir}/pkgconfig/TelepathyQt5Farstream.pc
%{_libdir}/cmake/TelepathyQt5Farstream/
%endif


%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.9.8-2
- Rebuilt for loongarch64

* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
